%define version	0.75
%define release 5mdk
%define encrypt_version 2.19
%define festival_version 0.71
%define perl_version %(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)
%define major 0
%define libname %mklibname gaim-remote
%define epoch 1

# TODO add tcl package (misc)

# fix encryption
%define __libtoolize /bin/true

Summary: 	A GTK+ based multiprotocol instant messaging client
Name: 		gaim
Version: 	%{version}
Release: 	%{release}
Epoch:		%{epoch}
Group: 		Networking/Instant messaging
License: 	GPL
URL: 		http://gaim.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source: 	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1: 	%{name}_icons.tar.bz2
# http://dl.sourceforge.net/gaim-encryption/gaim-encryption-%{encrypt_version}.tar.gz
Source2:	%{name}-encryption-%{encrypt_version}.tar.bz2
# http://dl.sourceforge.net/festival-gaim/festival-gaim-%{festival_version}.tar.gz
Source3:	festival-gaim-%{festival_version}.tar.bz2
Patch0:		%{name}-0.75-smiley.patch.bz2
# (Abel) 0.72-3mdk Use mandrake CFLAGS for festival plugin
Patch1:		%{name}-0.72-festival-cflags.patch.bz2
# (pterjan) http://security.e-matters.de/advisories/012004.html
Patch2:		gaim-0.75-fix.diff.bz2

BuildRequires:	audiofile-devel
BuildRequires:	gettext-devel
BuildRequires:	libao-devel
BuildRequires:	gtk+2-devel
Buildrequires:	gtkspell-devel >= 2.0.2
BuildRequires:	nas-devel
BuildRequires:	perl-devel
BuildRequires:	startup-notification-devel >= 0.5
# encrypt plugin
BuildRequires:  libnss-devel
BuildRequires:  nspr-devel 
# kerberos support in zephyr (can't compile for now -- Abel)
#BuildRequires:	krb5-devel
#BuildConflicts:	gettext-devel >= 0.12
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	hackgaim <= 0.60
Provides:	hackgaim <= 0.60
%description
Gaim allows you to talk to anyone using a variety of messaging  
protocols, including AIM (Oscar and TOC), ICQ, IRC, Yahoo!,
MSN Messenger, Jabber, Gadu-Gadu, Napster, and Zephyr.  These
protocols are implemented using a modular, easy to use design.  
To use a protocol, just load the plugin for it.

Gaim supports many common features of other clients, as well as many
unique features, such as perl scripting and C plugins.

Gaim is NOT affiliated with or endorsed by AOL.

%package -n %{name}-perl
Summary:	Gaim extension, to use perl scripting
Group: 		Networking/Instant messaging
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n %{name}-perl
Gaim can use perl script, this plugin enable them.

%package -n %{name}-encrypt
Summary:	Gaim extension, to use end to end encryption
Group: 		Networking/Instant messaging
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n %{name}-encrypt
This gaim plugin allows you to encrypt the message, 
only if the person on the other end use the same plugin.

%package -n %{name}-festival
Summary:	Gaim extension, to use speech synthetisis
Group: 		Networking/Instant messaging
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:   festival
Obsoletes:	festival-gaim
Provides:	festival-gaim = %{festival_version}

%description -n %{name}-festival
This gaim plugin allows you to use the Festival speech system
to read out loud your message.

%package -n %{libname}%{major}
Summary:	Library for providing remote control ability for gaim
Group: 		Networking/Instant messaging
Provides:	%{libname} = %{version}-%{release}

%description -n %{libname}%{major}
GAIM can be remotely controlled through third-party applications or
through gaim-remote tool. This library must be installed if you want
the above function.


%package -n %{libname}%{major}-devel
Summary:	Development files for gaim-remote
Group:		Development/GNOME and GTK+
Provides:	%{libname}-devel = %{version}-%{release}
Requires:	%{libname}%{major} = %{epoch}:%{version}-%{release}

%description -n %{libname}%{major}-devel
This package contains development files needed for developing or
compiling applications that need gaim remote control functions.


%prep
%setup -q -a1 -a2 -a3
%patch0 -p0 -b .smiley
# patch1 depends on festival-gaim source
%patch1 -p1 -b .cflags
%patch2

%build
# (Abel) 0.72-3mdk Somehow it won't connect to servers if gaim is
#                  linked against gnutls
%configure2_5x \
	--enable-nas \
	--enable-gnutls=no \
#	--with-krb4=/usr

%make
# encrypt plugin
pushd %{name}-encryption-%{encrypt_version}
%configure2_5x --with-gaim=.. 
%make
popd

# festival plugin
pushd festival-gaim-%{festival_version}
%make
popd

%install
rm -rf %{buildroot}
%makeinstall_std

#icons
install -m 644 %{name}_16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 %{name}_32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 %{name}_48.png -D %{buildroot}%{_liconsdir}/%{name}.png
#install -m 755 licq2gaim.pl %{buildroot}%{_bindir}/licq2gaim

# Menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name}  <<EOF
?package(%{name}): \
 command="soundwrapper %{_bindir}/%{name}" \
 needs="X11" \
 icon="%{name}.png" \
 section="Networking/Instant messaging" \
 title="Gaim" \
 longtitle="Multi-protocol Instant Messaging Client" \
 startup_notify="true"
EOF

# encrypt plugin
pushd %{name}-encryption-%{encrypt_version}
%makeinstall_std
rm -rf gaim-encrypt
mkdir gaim-encrypt
install -m 644 NOTES CHANGELOG TODO VERSION README WISHLIST gaim-encrypt/
popd

# festival plugin
pushd festival-gaim-%{festival_version}
install -D -m 755 festival.so %{buildroot}%{_libdir}/gaim/festival.so
rm -rf festival
mkdir festival
install -m 644 LICENCE README THANKS festival/ 
popd

# remove files not bundled
rm -f %{buildroot}%{_libdir}/gaim/*.la \
      %{buildroot}%{_libdir}/gaim/*.a

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%post -n %{libname}%{major} -p /sbin/ldconfig
%postun -n %{libname}%{major} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/CREDITS doc/FAQ doc/*.txt
%doc AUTHORS ChangeLog COPYING HACKING NEWS README licq2gaim.pl
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/sounds/%{name}
%{_libdir}/%{name}
%exclude %{_libdir}/%{name}/perl.so
%exclude %{_libdir}/%{name}/festival.so
%exclude %{_libdir}/%{name}/encrypt.so
%{_mandir}/*/*
%{_menudir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files -n %{name}-perl
%defattr(-,root,root)
%doc COPYING
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/auto/Gaim/*.so
%{perl_vendorarch}/auto/Gaim/*.ix
%{_libdir}/%{name}/perl.so

%files -n %{name}-festival
%defattr(-,root,root)
%doc festival-gaim-%{festival_version}/festival/
%{_libdir}/%{name}/festival.so

%files -n %{name}-encrypt
%defattr(-,root,root)
%doc %{name}-encryption-%{encrypt_version}/gaim-encrypt/
%{_libdir}/%{name}/encrypt.so


%files -n %{libname}%{major}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{libname}%{major}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.la


%clean
rm -rf %{buildroot}

%changelog
* Wed Feb 25 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-5mdk
- add missing Epoch in libgaim-remote0-devel Require

* Tue Feb 24 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-4mdk
- use epoch in subpackages Requires 

* Tue Jan 27 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-3mdk
- Update patch0 to remove :/ as this smiley appears in urls

* Tue Jan 27 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-2mdk
- Security fix

* Sun Jan 11 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-1mdk
- 0.75
- gaim-encryption 2.19
- Drop patch2
- Update patch0

* Sun Dec 14 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.74-2mdk
- Apply patch to fix a memory leak

* Wed Nov 26 2003 Laurent Culioli <laurent@pschit.net> 0.74-1mdk
- 0.74

* Tue Nov 25 2003 Laurent Culioli <laurent@pschit.net> 0.73-2mdk
- *oups* reenable nss 

* Tue Nov 25 2003 Laurent Culioli <laurent@pschit.net> 0.73-1mdk
- gaim 0.73
- gaim-encryption 2.18
- Michael Scherer <misc@mandrake.org>
	o split package in gaim-perl, gaim-festival, and gaim-encrypt
	o move licq2gaim to doc, to not depend on perl

* Sun Nov 16 2003 Abel Cheung <deaddog@deaddog.org> 0.72-3mdk
- gaim-encryption 2.17
- Remove patch1, gaim don't want any version of tcl other than 8.3,
  otherwise segfault
- Use shorter longtitle from .desktop file, it isn't nice to be too long
- Update and fix buildrequires (for 64bit)
- Patch0: Eliminate ':/' from smiley patch, otherwise it was interpreting
  :/ in URL as smiley (such as http://)
- Add festival plugin
- New Patch1: Use Mandrake provided CFLAGS instead of hardcoded one in
  festival plugin
- Get back Gwenole's changelog entry ( with some modification :-( )

* Tue Nov 11 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.72-2mdk
- rebuild for new perl
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- fix compile against tcl 8.4(P2)
- cleanups

* Wed Nov 05 2003 Laurent Culioli <laurent@pschit.net> 0.72-1mdk
- gaim 0.72
- gaim-encryption 2.16

* Thu Oct 16 2003 Laurent Culioli <laurent@pschit.net> 0.71-1mdk
- gaim 0.71 
- gaim-encryption 2.15
- regenerate smiley patch

* Tue Oct 14 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.68-2mdk
- 64-bit & deps fixes
- nuke unpackaged files

* Wed Sep 03 2003 Laurent Culioli <laurent@pschit.net> 0.68-1mdk
- fix encryption compilation
- add some perl files
- gaim 0.68
- gaim-encryption 2.10

* Tue Aug 26 2003 Laurent Culioli <laurent@pschit.net> 0.67-2mdk
- gaim-encrypt is back ! ( 2.08 )

* Mon Aug 25 2003 Laurent Culioli <laurent@pschit.net> 0.67-1mdk
- 0.67
- drop preference segfault patch
- drop encrypt patch ( gaim-encrypt is now a separate package )

* Sun Aug 10 2003 Laurent Culioli <laurent@pschit.net> 0.66-2mdk
  -Abel Cheung <maddog@linux.org.hk> 
    o Patch3: Encrypt plugin was not linking with libnss3

* Wed Aug  6 2003 Austin Acton <aacton@yorku.ca> 0.66-1mdk
- from Abel Cheung <maddog@linux.org.hk> :
  - 0.66, rebuilt against perl 5.8.1
  - encryption patch 2.02
  - Revert encryption patch to vanilla source form, so patches
    can be more easily inspected
  - Patch2: patch that comes from encryption support against gaim,
    modified to detect nss/nspr headers properly
  - Patch1: avoid segfault when converting preference to new style one
  - enable nas support
  - BuildRequires
  - Split gaim-remote libraries/devel files as sub-package

* Tue Jul 29 2003 Pixel <pixel@mandrakesoft.com> 0.64-3mdk
- when requiring the perl-base used for building, include the epoch

* Thu Jul 17 2003 David BAUDENS <baudens@mandrakesoft.com> 0.64-2mdk
- Rebuild

* Mon Jun 16 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.64-1mdk
- 0.64.
- remove autoadd hack.
- encrypt 1.20.

* Wed May 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.62-2mdk
- remove disable-screensaver ( David Walser )
- change the buttons behavior in gaim-encrypt patch ( David Walser )

* Fri May 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.62-1mdk
- from Raymond Rubicam <raymond_rubicam@redlands.edu> : 
	- Updated to gaim 0.62 source.

* Sun Apr 22 2003 Laurent Culioli <laurent@pschit.net> 0.61-2mdk
- Buildrequires

* Mon Apr 14 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.61-1mdk
- 0.61.
- fix smiley patch. (#3737)

* Mon Apr 07 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.60-3mdk
- re-include old patch (smiley,autoadd,encrypt).
- update gaim-encrypt to 1.17.

* Sun Apr 06 2003 Laurent Culioli <laurent@pschit.net> 0.60-2mdk
- Obsoletes hackgaim <= 0.60

* Sun Apr 06 2003 Laurent Culioli <laurent@pschit.net> 0.60-1mdk
- 0.60
- merge with David Walluck specfile 
- clean specfile
- drop gaim-applet subpackage

* Wed Apr 02 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.59.9-1mdk
- update to 0.59.9.
- Add encrypt plugin support. (http://gaim-encryption.sourceforge.net)

* Mon Jan 20 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.59.8-2mdk
- fix autoadd plugin (segfault when you send message :( )

* Tue Jan 14 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.59.8-1mdk
- Bump to version 0.59.8 (fix yahoo connection).

* Sun Dec 29 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.6-1mdk
- update to 0.59.7

* Tue Nov 12 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.6-1mdk
- update to 0.59.6

* Tue Oct 17 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.5-1mdk
- update to 0.59.5

* Mon Oct 07 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.4-1mdk
- update to 0.59.4

* Thu Sep 26 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.3-1mdk
- update to 0.59.3

* Tue Sep 10 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.2-1mdk
- update to 0.59.2

* Sat Sep  7 2002 Pixel <pixel@mandrakesoft.com> 0.59.1-2mdk
- rebuild (to have a release greater than 8.2 update)

* Tue Aug 27 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.59.1-1mdk
- 0.59.1 (aka security fix)
- remove P3 (fixed upstream)

* Sun Aug 11 2002 Pixel <pixel@mandrakesoft.com> 0.59-7mdk
- patch to fix segfault with perl thread-multi (by Timothy Lee, thanks to David Walser)

* Fri Aug  9 2002 Pixel <pixel@mandrakesoft.com> 0.59-6mdk
- disable perl extensions (if someone knows better, please help)

* Tue Aug  6 2002 Pixel <pixel@mandrakesoft.com> 0.59-5mdk
- fix build and rebuild for perl thread-multi

* Mon Jul 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.59-4mdk
- Rebuild without Arts.
- Enable soundwrapper.

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.59-3mdk
- rebuild for perl 5.8.0

* Sun Jun 30 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.59-2mdk
- Arts is back.

* Fri Jun 28 2002 Yves Duret <yduret@mandrakesoft.com> 0.59-1mdk
- new upstream release 0.59.

* Thu May 23 2002 Yves Duret <yduret@mandrakesoft.com> 0.58-1mdk
- version 0.58
- fix specfile (two changelog ???).
- patch configure.ac to no more -I/usr/local/include
- temporaly disable applet cause build broken (not ported yet to GNOME2) with a condif build %%applet.
- rewrite menu longdescription.
- macros were ceated to be used.
- png icons.
- one buildrequires per line.

* Wed Mar 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.54-3mdk
- Group fix for applet.

* Wed Mar 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.54-2mdk
- Merge in changes from Bryan (see below).
- Note that the smiley patch was never removed.
- Fixups to the gnome applet filelist.
- New and shiny 0.54.

* Fri Feb  1 2002 Adrien Demarez <ademarez@mandrakesoft.com> 0.51-1mdk
- Updated gaim

* Mon Jan  7 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.50-3mdk
- Add autoadd module.

* Tue Dec 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50-2mdk
- Oops. Really apply the smiley patch.

* Tue Dec 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50-1mdk
- Upped to 0.50.
- Add chmou patch with modifications for smileys.

* Tue Dec  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.49-2mdk
- Add licq2gaim script also.

* Fri Nov 30 2001 Sylvestre Taburet <staburet@mandrakesoft.com> 0.49-1mdk
- upped to 0.49

* Wed Nov 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.48-2mdk
- Make Chmou happy by replacing an ugly define with a cleaner one (thx chmou).

* Sat Nov 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.48-1mdk
- 0.48 hot from the oven.

* Sun Nov 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.47-1mdk
- The new and shiny 0.47.

* Sat Oct 20 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.46-1mdk
- Presenting the all-new 0.46.
- Use Epoch to please Lord Rpmlint.

* Mon Oct 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.44-2mdk
- BuildRequires: perl-devel
- Remove redundant BuildRequires

* Fri Sep 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.44-1mdk
- Presenting the newest gaim 0.44.
- Fix file list: There is no such file called PROTOCOL.

* Tue Sep 11 2001 Vincent Saugey <vince@mandrakesoft.com> 0.43-1mdk
- New version

* Sat Aug  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11.0-0.pre14.1mdk
- pre14.

* Sat Aug  4 2001 Pixel <pixel@mandrakesoft.com> 0.11.0-0.pre11.2mdk
- add require the perl-base used for building (the libperl.so
  auto-require is not enough)

* Fri May 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.11.0-0.pre11.1mdk
- New and shiny source.
- Fix the release number. This would mean that we would have to add a 
  Serial: for the time being :(, but at least this is more sane than before.
- Gaim homepage has now moved over to SourceForge.

* Thu Apr 12 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre7-2mdk
- Adding BuildRequires gettext, gtkdevel (Thanks to Don Head)

* Fri Mar 23 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre7-1mdk
- Up to new version

* Fri Mar 23 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-4mdk
- Change group for make fred (crozat) happy.

* Tue Feb 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.11.0pre4-3mdk
- Fix build on glibc.
- Do not build useless static libs.
- Use macros for make and configure.
- Run autoconf/make tools in prep stage
- Remove COPYING from docs, require common-licenses

* Tue Feb 13 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-2mdk
- Corrected menu section

* Mon Feb 12 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-1mdk
- Up to new version

* Tue Oct 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.3-1mdk
- up to 0.10.3

* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.20-5mdk
- menu title should begin with capital letter.
- ICQ section was replaced by Instant messaging.
 
* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-4mdk
- Adding small and large icons

* Tue Aug 29 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-3mdk
- Change icon for menu

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.20-2mdk
- automatically added BuildRequires

* Mon Jul 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-1mdk
- up to 0.9.20

* Fri Jun 23 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.19-1mdk
- 0.9.19

* Thu Jun  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.18-1mdk
- 0.9.18
- minor fixes in specfile

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.11-3mdk
- add 32*32 icon

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.11-2mdk
- Don't +x the menu entries.

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.9.11-1mdk
- v0.9.11
- Added menu
- fixed group
- spec-helper

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
Build Release

* Tue Nov 02 1999 Lenny Cartier <lenny@mandrakesoft.com>
v0.9.9

* Wed Oct 13 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptations.
